# ApplicationFramework
TKPShape
PBRep

# PBRep_PolygonOnClosedTriangulation Class Reference

`#include <PBRep_PolygonOnClosedTriangulation.hxx>`

Inheritance diagram for PBRep_PolygonOnClosedTriangulation:

[legend]

## Public Member Functions

Standard_EXPORT | PBRep_PolygonOnClosedTriangulation (const Handle(PPoly_PolygonOnTriangulation)&P1, const Handle(PPoly_PolygonOnTriangulation)&P2, const Handle(PPoly_Triangulation)&S, const PTopLoc_Location &L)
virtual Standard_EXPORT Standard_Boolean | IsPolygonOnClosedTriangulation () const
| Returns True. .
Standard_EXPORT Handle_PPoly_PolygonOnTriangulation | PolygonOnTriangulation2 () const
| PBRep_PolygonOnClosedTriangulation ()
| PBRep_PolygonOnClosedTriangulation (const Storage_stCONSTclCOM &a)
| Handle (PPoly_PolygonOnTriangulation) _CSFDB_GetPBRep_PolygonOnClosedTriangulationmyPolygon2() const
void | _CSFDB_SetPBRep_PolygonOnClosedTriangulationmyPolygon2 (const Handle(PPoly_PolygonOnTriangulation)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PPoly_PolygonOnTriangulation | myPolygon2

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PolygonOnClosedTriangulation::PBRep_PolygonOnClosedTriangulation | ( | const Handle(PPoly_PolygonOnTriangulation)& | P1,
|  | const Handle(PPoly_PolygonOnTriangulation)& | P2,
|  | const Handle(PPoly_Triangulation)& | S,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PolygonOnClosedTriangulation::PBRep_PolygonOnClosedTriangulation | ( |  | ) | `[inline]`

PBRep_PolygonOnClosedTriangulation::PBRep_PolygonOnClosedTriangulation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_PolygonOnClosedTriangulation::_CSFDB_SetPBRep_PolygonOnClosedTriangulationmyPolygon2 | ( | const Handle(PPoly_PolygonOnTriangulation)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_PolygonOnClosedTriangulation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_PolygonOnTriangulation.

PBRep_PolygonOnClosedTriangulation::Handle | ( | PPoly_PolygonOnTriangulation |  | ) | const`[inline]`

| Reimplemented from PBRep_PolygonOnTriangulation.

virtual Standard_EXPORT Standard_Boolean PBRep_PolygonOnClosedTriangulation::IsPolygonOnClosedTriangulation | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT Handle_PPoly_PolygonOnTriangulation PBRep_PolygonOnClosedTriangulation::PolygonOnTriangulation2 | ( |  | ) | const

## Field Documentation

Handle_PPoly_PolygonOnTriangulation PBRep_PolygonOnClosedTriangulation::myPolygon2 `[private]`

The documentation for this class was generated from the following file:

- PBRep_PolygonOnClosedTriangulation.hxx